cURL
curl --request GET \ --url https://api.getarbol.com/v1/agents/{agentId}/documents \ --header 'Authorization: Bearer <token>'
{ "items": [ { "id": "<string>", "documentId": "<string>", "isEnabled": true, "document": { "id": "<string>", "name": "<string>", "summary": "<string>", "fileName": "<string>", "mimeType": "<string>", "fileSize": 123, "sourceUrl": "<string>", "isEnabled": true, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } } ] }
Get all knowledge base documents assigned to a specific agent.
Documentation IndexFetch the complete documentation index at: https://docs.getarbol.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.getarbol.com/llms.txt
Use this file to discover all available pages before exploring further.
Use your API key from the Arbol dashboard. Go to Settings > API Keys to generate one.
Agent ID (agt_ prefix)
Agent documents
Show child attributes